View Issue Details

IDProjectCategoryView StatusLast Update
0005066SymmetricDSBugpublic2021-08-06 14:00
Reporterelong Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.0 
Target Version3.12.12Fixed in Version3.12.12 
Summary0005066: Sybase column of type unitext causing error when used in "where" clause
DescriptionBatch error on Sybase from a column of type UNITEXT that is not allowed in "where" clause because it is a CLOB that cannot be compared. The conflict detection of USE_CHANGED_DATA is putting the column in the "where" clause on updates.

2021-07-22 10:23:28,422 INFO [grps-syb-dbstsme1] [ManageIncomingBatchListener] [grps-syb-dbstsme1-dataloader-9876] Bulk loading failed for this batch 94910, falling back to default loading. (org.jumpmind.db.sql.SqlException: JZ0BE: BatchUpdateException: Error occurred while executing batch statement: Invalid operator for datatype op: = type: UNITEXT_LOCATOR.
)
Tagsdialect: sybase

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 d605d0e1

2021-08-06 13:17:13

admin

Details Diff
0005066: Sybase column of type unitext causing error when used in
"where" clause
Affected Issues
0005066
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/ase/AseDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2021-07-27 20:11 elong New Issue
2021-07-27 20:11 elong Status new => assigned
2021-07-27 20:11 elong Assigned To => elong
2021-07-27 20:11 elong Tag Attached: dialect: sybase
2021-08-06 13:17 elong Status assigned => resolved
2021-08-06 13:17 elong Resolution open => fixed
2021-08-06 13:17 elong Fixed in Version => 3.12.12
2021-08-06 14:00 admin Changeset attached => SymmetricDS 3.12 d605d0e1